Batch Deployments - List
列出工作区中的批处理推理部署。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/batchEndpoints/{endpointName}/deployments?api-version=2025-12-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/batchEndpoints/{endpointName}/deployments?api-version=2025-12-01&$orderBy={$orderBy}&$top={$top}&$skip={$skip}
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
Batch 终结点的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
workspace
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$ |
Azure 机器学习工作区名称 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
|
$order
|
query |
string |
列表排序。 |
|
|
$skip
|
query |
string |
分页的延续标记。 |
|
|
$top
|
query |
integer (int32) |
列表顶部。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure作已成功完成。 |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
List Workspace Batch Deployment.
示例请求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/batchEndpoints/testEndpointName/deployments?api-version=2025-12-01&$orderBy=string&$top=1
示例响应
{
"nextLink": "https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/batchEndpoints/testEndpointName/deployments?api-version=2025-07-01-preview&$skip=2",
"value": [
{
"name": "string",
"type": "string",
"id": "string",
"identity": {
"type": "SystemAssigned",
"principalId": "00000000-1111-2222-3333-444444444444",
"tenantId": "00000000-1111-2222-3333-444444444444",
"userAssignedIdentities": {
"string": {
"clientId": "00000000-1111-2222-3333-444444444444",
"principalId": "00000000-1111-2222-3333-444444444444"
}
}
},
"kind": "string",
"location": "string",
"properties": {
"description": "string",
"codeConfiguration": {
"codeId": "string",
"scoringScript": "string"
},
"compute": "string",
"environmentId": "string",
"environmentVariables": {
"string": "string"
},
"errorThreshold": 1,
"loggingLevel": "Info",
"maxConcurrencyPerInstance": 1,
"miniBatchSize": 1,
"model": {
"assetId": "string",
"referenceType": "Id"
},
"outputAction": "SummaryOnly",
"outputFileName": "string",
"properties": {
"string": "string"
},
"provisioningState": "Creating",
"resources": {
"instanceCount": 1,
"instanceType": "string",
"properties": {
"string": {
"a3c13e2e-a213-4cac-9f5a-b49966906ad6": null
}
}
},
"retrySettings": {
"maxRetries": 1,
"timeout": "PT5M"
}
},
"sku": {
"name": "string",
"capacity": 1,
"family": "string",
"size": "string",
"tier": "Free"
},
"systemData": {
"createdAt": "2020-01-01T12:34:56.999Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2020-01-01T12:34:56.999Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
},
"tags": {}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Batch |
具体跟踪的资源类型可以通过使用特定属性类型将此类型别名创建。 |
|
Batch |
批处理部署的枚举属性类型。 |
|
Batch |
每个部署的批量推理设置。 |
|
Batch |
BatchDeployment 实体的分页列表。 |
|
Batch |
批量推理的日志详细程度。 日志记录的详细程度增加顺序为:警告、信息和调试。 默认值为“Info”。 |
|
Batch |
枚举以确定批量推理将如何处理输出 |
|
Batch |
批处理管道组件部署的属性。 |
|
Batch |
重试批量推理作的设置。 |
|
Code |
评分代码资产的配置。 |
|
created |
创建资源的标识的类型。 |
|
Data |
通过资产在数据存储中的路径引用资产。 |
|
Deployment |
DeploymentProvisioningState 的可能值。 |
|
Deployment |
|
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Id |
通过资产的 ARM 资源 ID 引用资产。 |
|
Managed |
托管服务标识(系统分配和/或用户分配的标识) |
|
Managed |
托管服务标识的类型(其中允许 SystemAssigned 和 UserAssigned 类型)。 |
|
Output |
通过作业输出中的路径引用资产。 |
|
Reference |
枚举以确定对资产使用的引用方法。 |
| Sku |
表示 SKU 的资源模型定义 |
|
Sku |
如果服务具有多个层,但在 PUT 上不需要,则需要资源提供程序实现此字段。 |
|
system |
与创建和上次修改资源相关的元数据。 |
|
User |
用户分配的标识属性 |
BatchDeployment
具体跟踪的资源类型可以通过使用特定属性类型将此类型别名创建。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| identity |
托管服务标识(系统分配和/或用户分配的标识) |
|
| kind |
string |
门户/工具等用于为相同类型的资源呈现不同的 UX 体验的元数据。 |
| location |
string |
资源所在的地理位置 |
| name |
string |
资源的名称 |
| properties |
[必需]实体的其他属性。 |
|
| sku |
用于自动缩放的 ARM 协定所需的 SKU 详细信息。 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| tags |
object |
资源标记。 |
| type |
string |
资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
BatchDeploymentConfigurationType
批处理部署的枚举属性类型。
| 值 | 说明 |
|---|---|
| Model | |
| PipelineComponent |
BatchDeploymentProperties
每个部署的批量推理设置。
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| codeConfiguration |
终结点部署的代码配置。 |
||
| compute |
string |
批处理推理操作的计算目标。 |
|
| deploymentConfiguration | BatchDeploymentConfiguration: |
与不同部署类型相关的属性。 |
|
| description |
string |
终结点部署的说明。 |
|
| environmentId |
string |
终结点部署的环境规范的 ARM 资源 ID 或 AssetId。 |
|
| environmentVariables |
object |
部署的环境变量配置。 |
|
| errorThreshold |
integer (int32) |
-1 |
错误阈值,如果整个输入的错误计数超过此值,则批次推理将中止。 范围为 [-1,int。MaxValue]。 对于 FileDataset,此值是文件失败的计数。 对于 TabularDataset,此值是记录失败的计数。 如果设置为 -1(下限),则会忽略批处理推理期间的所有失败。 |
| loggingLevel | Info |
批量推理的日志详细程度。 日志记录的详细程度增加顺序为:警告、信息和调试。 默认值为“Info”。 |
|
| maxConcurrencyPerInstance |
integer (int32) |
1 |
指示每个实例的最大并行度数。 |
| miniBatchSize |
integer (int64) |
10 |
传递给每个批处理调用的微型批处理的大小。 对于 FileDataset,这是每个微型批处理的文件数。 对于 TabularDataset,这是每个小型批处理的记录大小(以字节为单位)。 |
| model | AssetReferenceBase: |
对终结点部署的模型资产的引用。 |
|
| outputAction | AppendRow |
枚举以确定批量推理将如何处理输出 |
|
| outputFileName |
string |
predictions.csv |
append_row输出操作的自定义输出文件名。 |
| properties |
object |
属性字典。 可以添加属性,但不能删除或更改属性。 |
|
| provisioningState |
终结点部署的预配状态。 |
||
| resources |
指示作业的计算配置。 如果未提供,则默认为 ResourceConfiguration 中定义的默认值。 |
||
| retrySettings |
批处理推理操作的重试设置。 如果未提供,则默认为 BatchRetrySettings 中定义的默认值。 |
BatchDeploymentTrackedResourceArmPaginatedResult
BatchDeployment 实体的分页列表。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项的链接 |
| value |
本页的BatchDeployment项目 |
BatchLoggingLevel
批量推理的日志详细程度。 日志记录的详细程度增加顺序为:警告、信息和调试。 默认值为“Info”。
| 值 | 说明 |
|---|---|
| Info | |
| Warning | |
| Debug |
BatchOutputAction
枚举以确定批量推理将如何处理输出
| 值 | 说明 |
|---|---|
| SummaryOnly | |
| AppendRow |
BatchPipelineComponentDeploymentConfiguration
批处理管道组件部署的属性。
| 名称 | 类型 | 说明 |
|---|---|---|
| componentId |
要运行的组件的 ARM ID。 |
|
| deploymentConfigurationType |
string:
Pipeline |
[必需]部署的类型 |
| description |
string |
将应用于作业的说明。 |
| settings |
object |
管道作业的运行时设置。 |
| tags |
object |
将应用于作业的标记。 |
BatchRetrySettings
重试批量推理作的设置。
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| maxRetries |
integer (int32) |
3 |
小型批处理的最大重试计数 |
| timeout |
string (duration) |
PT30S |
迷你批处理的调用超时,采用 ISO 8601 格式。 |
CodeConfiguration
评分代码资产的配置。
| 名称 | 类型 | 说明 |
|---|---|---|
| codeId |
string |
代码资产的 ARM 资源 ID。 |
| scoringScript |
string minLength: 1pattern: [a-zA-Z0-9_] |
[必需]在启动时执行的脚本。 eg. "score.py" |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataPathAssetReference
通过资产在数据存储中的路径引用资产。
| 名称 | 类型 | 说明 |
|---|---|---|
| datastoreId |
string |
资产所在的数据存储的 ARM 资源 ID。 |
| path |
string |
数据存储中文件/目录的路径。 |
| referenceType |
string:
Data |
[必需]指定资产引用的类型。 |
DeploymentProvisioningState
DeploymentProvisioningState 的可能值。
| 值 | 说明 |
|---|---|
| Creating | |
| Deleting | |
| Scaling | |
| Updating | |
| Succeeded | |
| Failed | |
| Canceled |
DeploymentResourceConfiguration
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| instanceCount |
integer (int32) |
1 |
计算目标使用的实例或节点数可选。 |
| instanceType |
string |
计算目标支持的可选 VM 类型。 |
|
| properties |
其他属性包。 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
IdAssetReference
通过资产的 ARM 资源 ID 引用资产。
| 名称 | 类型 | 说明 |
|---|---|---|
| assetId |
string minLength: 1pattern: [a-zA-Z0-9_] |
[必需]资产的 ARM 资源 ID。 |
| referenceType |
string:
Id |
[必需]指定资产引用的类型。 |
ManagedServiceIdentity
托管服务标识(系统分配和/或用户分配的标识)
| 名称 | 类型 | 说明 |
|---|---|---|
| principalId |
string (uuid) |
系统分配标识的服务主体 ID。 此属性仅针对系统分配的标识提供。 |
| tenantId |
string (uuid) |
系统分配标识的租户 ID。 此属性仅针对系统分配的标识提供。 |
| type |
托管服务标识的类型(其中允许 SystemAssigned 和 UserAssigned 类型)。 |
|
| userAssignedIdentities |
<string,
User |
User-Assigned 标识 |
ManagedServiceIdentityType
托管服务标识的类型(其中允许 SystemAssigned 和 UserAssigned 类型)。
| 值 | 说明 |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
OutputPathAssetReference
通过作业输出中的路径引用资产。
| 名称 | 类型 | 说明 |
|---|---|---|
| jobId |
string |
作业的 ARM 资源 ID。 |
| path |
string |
作业输出中文件/目录的路径。 |
| referenceType |
string:
Output |
[必需]指定资产引用的类型。 |
ReferenceType
枚举以确定对资产使用的引用方法。
| 值 | 说明 |
|---|---|
| Id | |
| DataPath | |
| OutputPath |
Sku
表示 SKU 的资源模型定义
| 名称 | 类型 | 说明 |
|---|---|---|
| capacity |
integer (int32) |
如果 SKU 支持横向扩展/缩减,则应包含容量整数。 如果资源无法横向扩展/缩小,则可能会省略此范围。 |
| family |
string |
如果服务具有不同代的硬件(对于同一 SKU,则可以在此处捕获)。 |
| name |
string |
SKU 的名称。 例 - P3。 它通常是字母+数字代码 |
| size |
string |
SKU 大小。 当名称字段是层和其他一些值的组合时,这将是独立的代码。 |
| tier |
如果服务具有多个层,但在 PUT 上不需要,则需要资源提供程序实现此字段。 |
SkuTier
如果服务具有多个层,但在 PUT 上不需要,则需要资源提供程序实现此字段。
| 值 | 说明 |
|---|---|
| Free | |
| Basic | |
| Standard | |
| Premium |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
UserAssignedIdentity
用户分配的标识属性
| 名称 | 类型 | 说明 |
|---|---|---|
| clientId |
string (uuid) |
分配的标识的客户端 ID。 |
| principalId |
string (uuid) |
已分配标识的主体 ID。 |